/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.bzdz.service.impl;

import org.springblade.modules.bzdz.entity.BzdzEntity;
import org.springblade.modules.bzdz.vo.BzdzVO;
import org.springblade.modules.bzdz.excel.BzdzExcel;
import org.springblade.modules.bzdz.mapper.BzdzMapper;
import org.springblade.modules.bzdz.service.IBzdzService;
import org.springblade.modules.bzdz.vo.RlsqVO;
import org.springblade.modules.bzdz.vo.XzqhVO;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;
import java.util.Map;

/**
 * 楼栋标准地址 服务实现类
 *
 * @author BladeX
 * @since 2023-12-22
 */
@Service
public class BzdzServiceImpl extends BaseServiceImpl<BzdzMapper, BzdzEntity> implements IBzdzService {

	@Override
	public IPage<BzdzVO> selectBzdzPage(IPage<BzdzVO> page, Map<String, Object> params) {
		return page.setRecords(baseMapper.selectBzdzPage(page, params));
	}


	@Override
	public List<BzdzExcel> exportBzdz(Wrapper<BzdzEntity> queryWrapper) {
		List<BzdzExcel> bzdzList = baseMapper.exportBzdz(queryWrapper);
		//bzdzList.forEach(bzdz -> {
		//	bzdz.setTypeName(DictCache.getValue(DictEnum.YES_NO, Bzdz.getType()));
		//});
		return bzdzList;
	}

	@Override
	public List<XzqhVO> getXzqh(Map<String, Object> params) {
		return baseMapper.getXzqh(params);
	}

	@Override
	public List<RlsqVO> getXzqhPtTree(Map<String, Object> params) {
		return baseMapper.getXzqhPtTree(params);
	}

	@Override
	public List<RlsqVO> getShi(Map<String, Object> params) {
		return baseMapper.getShi(params);
	}

	@Override
	public List<RlsqVO> getQv(Map<String, Object> params) {
		return baseMapper.getQv(params);
	}

	@Override
	public List<RlsqVO> getJd(Map<String, Object> params) {
		return baseMapper.getJd(params);
	}

	@Override
	public List<RlsqVO> getSq(Map<String, Object> params, String jdid) {
		return baseMapper.getSq(params,jdid);
	}
}
